aboutsummaryrefslogtreecommitdiff
path: root/debian/zinc-python/DEBIAN
diff options
context:
space:
mode:
Diffstat (limited to 'debian/zinc-python/DEBIAN')
-rwxr-xr-xdebian/zinc-python/DEBIAN/control12
-rwxr-xr-xdebian/zinc-python/DEBIAN/md5sums10
-rwxr-xr-xdebian/zinc-python/DEBIAN/postinst23
-rwxr-xr-xdebian/zinc-python/DEBIAN/prerm11
4 files changed, 56 insertions, 0 deletions
diff --git a/debian/zinc-python/DEBIAN/control b/debian/zinc-python/DEBIAN/control
new file mode 100755
index 0000000..9c5ef87
--- /dev/null
+++ b/debian/zinc-python/DEBIAN/control
@@ -0,0 +1,12 @@
+Package: zinc-python
+Source: zinc-tk
+Version: 3.3.8~pre1
+Architecture: amd64
+Maintainer: Patrick Lecoanet <lecoanet@ath.cena.fr>
+Installed-Size: 340
+Depends: python, python-imaging, python-imaging-tk, python-tk, zinc-tk (= 3.3.8~pre1)
+Conflicts: python-xradar3
+Section: devel
+Priority: extra
+Description: python interface to the Tk zinc widget.
+ python interface to the Tk zinc widget.
diff --git a/debian/zinc-python/DEBIAN/md5sums b/debian/zinc-python/DEBIAN/md5sums
new file mode 100755
index 0000000..a17abe3
--- /dev/null
+++ b/debian/zinc-python/DEBIAN/md5sums
@@ -0,0 +1,10 @@
+29acb3afd126ce1bca82f90daba97d2e usr/lib/python2.7/dist-packages/Zinc/Zinc.py
+ea9dee7b2027466413e15f36cfdb0734 usr/lib/python2.7/dist-packages/Zinc/__init__.py
+0df5954e7f2d55b4df43374496b5d9c9 usr/lib/python2.7/dist-packages/Zinc/geometry.py
+89184c0790b9dedfccb99225d59ea27c usr/lib/python2.7/dist-packages/Zinc/graphics.py
+dda612163aa79ca30ef2d7625ebaab8f usr/lib/python2.7/dist-packages/Zinc/pictorial.py
+1229f9e959cbe528ed7f8941aa77fbc4 usr/lib/python2.7/dist-packages/python_zinc-1.0.egg-info
+234ffffdead1521741a9fcf7b5b84cd6 usr/share/doc/zinc-python/changelog.gz
+c4eab0dc9681a29465fcd15cfea40822 usr/share/doc/zinc-python/copyright
+f41dd2d462df24f4ff45f8f01160fad3 usr/share/doc/zinc-python/demos/Graphics/paper.gif
+cbea83337d1fdb39e23c648a700a4f10 usr/share/doc/zinc-python/demos/Graphics/testGraphics.py
diff --git a/debian/zinc-python/DEBIAN/postinst b/debian/zinc-python/DEBIAN/postinst
new file mode 100755
index 0000000..0f85b0a
--- /dev/null
+++ b/debian/zinc-python/DEBIAN/postinst
@@ -0,0 +1,23 @@
+#! /bin/bash -e
+#
+# Debian postinst script for Python hierarchical modules
+# Written by Gregor Hoffleit <flight@debian.org>
+#
+
+NAME=zinc-python
+DEFAULT_VERSION_PYTHON=`dpkg -p python| grep -e "^Version:" |cut -d" " -f2|cut -d"." -f1-2`
+DIRLIST="/usr/lib/python${DEFAULT_VERSION_PYTHON}/site-packages"
+
+case "$1" in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ for i in $DIRLIST ; do
+ python -O /usr/lib/python${DEFAULT_VERSION_PYTHON}/compileall.py -q $i
+ python /usr/lib/python${DEFAULT_VERSION_PYTHON}/compileall.py -q $i
+ done
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
diff --git a/debian/zinc-python/DEBIAN/prerm b/debian/zinc-python/DEBIAN/prerm
new file mode 100755
index 0000000..6c9295a
--- /dev/null
+++ b/debian/zinc-python/DEBIAN/prerm
@@ -0,0 +1,11 @@
+#! /bin/bash -e
+#
+# Debian prerm script for Python hierarchical modules
+# Written by Gregor Hoffleit <flight@debian.org>
+#
+
+NAME=zinc-python
+
+dpkg --listfiles $NAME |
+ awk '$0~/\.py$/ {print $0"c\n" $0"o"}' |
+ xargs rm -f >&2